@ECHO off
ECHO Finding the OS version...
reg Query "HKLM\Hardware\Description\System\CentralProcessor\0" | find /i "x86" > NUL && set OS=32BIT || set OS=64BIT

if %OS%==32BIT (
	ECHO 32bit
	"%~dp0\DPInst32.exe"
)

if %OS%==64BIT (
	ECHO 64bit
	"%~dp0\DPInst64.exe"
)